Minecraft / Mods

EonCraft

  • 3
  • 1
  • playlist_add
  • share
  • more_horiz
avatar NSanity
Level 22 : Expert Button Pusher
6
Needs Forge 1.6.4.... duh... Epic Mod comes with futuristic armor and tools. 4 new mobs. 2 new swords. and more!<br>Enjoy your stay in a worst place than the nether the Warped Cliffs biome or stay in the potentially deadly cloud biome filled with Blixtars and Lovable Minibots. The Warped Cliffs has jacked up warped players that will eat your soul! Sweet Dreams.
Progress100% complete
Game VersionMinecraft 1.6.4
Tags

Comments : 7

star Login or register to post a comment.

Show Comments

1 - 7 of 7

  • NSanity
  • Level 22
  • Expert Button Pusher
  • October 21, 2016, 5:52 pm
I Can update to 1.9 but i cant any higher and it doesnt support java... i need help XD
  • NSanity
  • Level 22
  • Expert Button Pusher
  • October 21, 2016, 5:51 pm
Oh wait..... it doesn't support Jar... that is not good....
  • NSanity
  • Level 22
  • Expert Button Pusher
  • October 21, 2016, 5:44 pm
Thx for the tips im updating it to 1.9!
  • scarabcoder
  • Level 53
  • Grandmaster Wizard
  • October 15, 2016, 5:28 pm
Hey, I know it's hard to learn the 1.7-1.8 differences, but do try. It's worth it, and actually easier. Plus, you really can't keep mods up that support a version of Minecraft released more then 3 years ago.
This was made for 1.6.4 because it has java classes removed and revamped in Minecraft 1.8(2014)
  • _Velocity
  • Level 2
  • Apprentice Crafter
  • October 13, 2016, 5:13 pm
Amazing!
Maybe update to 1.10.2?
  • xEkyrn
  • Level 17
  • Journeyman Engineer
  • October 14, 2016, 4:58 pm
I agree, 1.10.2 please

1 - 7 of 7

Show Comments

Search

Browse

Site

© 2010 - 2018
planetminecraft.com

Welcome